function E = energie(x, winlen, winover)
%% Funkce pro vypocet kratkodobe energie
% E = energie(x, winlen, winover)
% 
% Tato funkce vraci stredni kratkodobou energii signalu rozdeleneho na
% segmenty.
% 
% x         - sloupcovy vektor
% winlen    - delka okna ve vzorcich nebo samotne okno
% winover   - delka prekryvu ve vzorcich
% E         - sloupcovy vektor strednich kratkodobych energii

%% Segmentace signalu
X = segmentace(x, winlen, winover);

%% Vypocet kratkodobe energie
E = sum(abs(X).^2).';